"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LINK_TO_FILE_ATTRS_MAP = exports.fileNodeAttrsSpec = exports.REQUIRED_ATTRS = exports.KNOWN_ATTRS = exports.yfmFileNodeName = void 0;
const file_extension_1 = require("@diplodoc/file-extension");
exports.yfmFileNodeName = file_extension_1.FILE_TOKEN;
exports.KNOWN_ATTRS = file_extension_1.FILE_KNOWN_ATTRS.map((attrName) => {
    if (attrName in file_extension_1.FILE_TO_LINK_ATTRS_MAP)
        return file_extension_1.FILE_TO_LINK_ATTRS_MAP[attrName];
    return attrName;
});
exports.REQUIRED_ATTRS = file_extension_1.FILE_REQUIRED_ATTRS.map((attrName) => {
    if (attrName in file_extension_1.FILE_TO_LINK_ATTRS_MAP)
        return file_extension_1.FILE_TO_LINK_ATTRS_MAP[attrName];
    return attrName;
});
exports.fileNodeAttrsSpec = {};
for (const attrName of exports.KNOWN_ATTRS) {
    const attrSpec = (exports.fileNodeAttrsSpec[attrName] = {});
    if (!exports.REQUIRED_ATTRS.includes(attrName)) {
        attrSpec.default = null;
    }
}
exports.LINK_TO_FILE_ATTRS_MAP = {};
for (const [key, value] of Object.entries(file_extension_1.FILE_TO_LINK_ATTRS_MAP)) {
    exports.LINK_TO_FILE_ATTRS_MAP[value] = key;
}
